Index: /trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- /trunk/expressoMail1_2/js/draw_api.js	(revision 5410)
+++ /trunk/expressoMail1_2/js/draw_api.js	(revision 5417)
@@ -2303,5 +2303,5 @@
 	{
 		var options = document.createElement("TD");
-		options.width = "1%";
+		//options.width = "1%";
 		options.setAttribute("noWrap","true");
 		var option_edit	  = ' | <span class="message_options" onclick="new_message(\'edit\',\''+ID+'\');">'+get_lang('Edit')+'</span>';
@@ -3211,5 +3211,5 @@
 	tr0.className = "tr_message_header";
 	var td0 = document.createElement("TD");
-	td0.colSpan = '3';
+	td0.colSpan = '2';
 
 	var table_menu_new_message = document.createElement("TABLE");
@@ -3220,16 +3220,16 @@
 	var tr_menu_new_message = document.createElement("TR");
 	var td_menu_new_message = document.createElement("TD");
-	td_menu_new_message.setAttribute("noWrap","true");
-
+	//td_menu_new_message.setAttribute("noWrap","true");
+	td_menu_new_message.className = "new-message-menu";
 	if ((preferences.save_in_folder == '-1') || (preferences.save_in_folder == '')){
-		var option_send = '<span id="send_button_'+ID+'" class="message_options" onclick=send_message("'+ID+'","null","null");>'+get_lang("Send")+'</span> | ';
+		var option_send = '<button title="Enviar Email" id="send_button_'+ID+'" class="header-button button small" onclick=send_message("'+ID+'","null","null");>'+get_lang("Send")+'</button>';
 		//var option_send   = '<input type="button" id="send_button_'+ID+'" class="em_button_like_span" tabindex="1" value="'+get_lang("Send and not file")+'" onclick=send_message("'+ID+'","null","null");>' + ' | ';
 		if(!expresso_offline)
-			var option_send_and_file= '<span class="message_options" onclick=wfolders.makeWindow("'+ID+'","send_and_file");>'+get_lang("Send and file")+'</span> | ';
+			var option_send_and_file= '<button id="send_and_custom_save_'+ID+'" class="header-button button small" onclick=wfolders.makeWindow("'+ID+'","send_and_file");>'+get_lang("Send and file")+'</button>';
 		else
 			var option_send_and_file='';
 	}
 	else{
-		var option_send = '<span id="send_button_'+ID+'" class="message_options" onclick="send_message(\''+ID+'\',\''+preferences.save_in_folder+'\',\'null\');">'+get_lang("Send")+'</span> | ';
+		var option_send = '<button title="'+get_lang("Send Mail")+'" id="send_button_'+ID+'" class="header-button button small" onclick="send_message(\''+ID+'\',\''+preferences.save_in_folder+'\',\'null\');">'+get_lang("Send")+'</button>';
 		//var option_send   = '<input type="button" id="send_button_'+ID+'" class="em_button_like_span" tabindex="1" value="'+get_lang("Send")+'" onclick="send_message(\''+ID+'\',\''+preferences.save_in_folder+'\',\'null\');">' + ' | ';
 		var option_send_and_file='';
@@ -3237,16 +3237,28 @@
 	}
 //	var option_save_as		= '<span class="message_options" onclick=wfolders.makeWindow("'+ID+'","save");>'+get_lang("Save as")+'</span> | ';
+	
 	if (!expresso_offline) {
-		var option_save = '<span id="save_message_options_'+ID+'" class="message_options" onclick="save_msg('+ID+');">'+get_lang("Save")+'</span> | ';
-		var option_search = '<span class="message_options" onclick=openListUsers("'+ID+'");>'+get_lang("Search")+'</span>';
+		var option_save = '<button title="'+get_lang("Save Mail")+'" id="save_message_options_'+ID+'" class="header-button button small" onclick="save_msg('+ID+');">'+get_lang("Save")+'</button>';
+		//var option_search = '<button class="header-button" onclick=openListUsers("'+ID+'");>'+get_lang("Search")+'</button>';
 	}
 	else {
 		var option_save = '<input type="hidden" id="save_message_options_'+ID+'">';
-		var option_search = '';
-	}
-	td_menu_new_message.innerHTML = option_send + option_send_and_file + option_save + option_search;
-
+		//var option_search = '';
+	}
+	if (parseInt(preferences.use_important_flag))
+		var option_important = '<button title="'+get_lang("Important message")+'" name="important_message_'+ID+'" id="important_message_options_'+ID+'" class="send_option header-button button small">&nbsp;</button>';
+		
+	var option_confLeitura = '<button title="'+get_lang("Return receipt")+'" name="return_receipt_'+ID+'" id="conf_leitura_message_options_'+ID+'" class="send_option header-button button small">&nbsp;</button>';
+	
+	td_menu_new_message.innerHTML = option_send +  option_save + option_send_and_file + (option_important ? option_important: "") +option_confLeitura; //+ option_search;
+	
+	td_menu_another_adress = document.createElement("TD");
+	td_menu_another_adress.id = "another_adress_"+ID;
+	td_menu_another_adress.style.position = "absolute";
+	td_menu_another_adress.style.right = "10px";
+	
 	tr_menu_new_message.appendChild(td_menu_new_message);
-
+	tr_menu_new_message.appendChild(td_menu_another_adress);
+	
 	
 	tbody_menu_new_message.appendChild(tr_menu_new_message);
@@ -3261,16 +3273,16 @@
 	var td1_1 = document.createElement("TD");
 	td1_1.innerHTML = get_lang("From")+":";
-	td1_1.setAttribute("noWrap","true");
-	td1_1.style.width = "1%";
-
+	//td1_1.setAttribute("noWrap","noWrap");
+	//td1_1.style.width = "1%";
+	
 	var td_from = document.createElement("TD");
-	td_from.setAttribute("noWrap","true");
+	//td_from.setAttribute("noWrap","noWrap");
 	td_from.style.width = "100%";
-
+	//td_from.colSpan = "2";
 	var sel_from = document.createElement('SELECT');
 	sel_from.id = "from_"+ID;
 	sel_from.name = "input_from";
 	sel_from.style.width = "100%";
-	sel_from.setAttribute("wrap","soft");
+	//sel_from.setAttribute("wrap","soft");
 	td_from.appendChild(sel_from);
 	tr1_1.appendChild(td1_1);
@@ -3282,95 +3294,75 @@
 	var td1_2 = document.createElement("TD");
 	tr1_2.style.display = 'none';
-        td1_2.innerHTML = get_lang("Reply to")+":";
-	td1_2.setAttribute("noWrap","true");
-	td1_2.style.width = "1%";
+    td1_2.innerHTML = get_lang("Reply to")+":";
+	//td1_2.setAttribute("noWrap","true");
+	//td1_2.style.width = "1%";
 
 	var td_replyto = document.createElement("TD");
-        td_replyto.setAttribute("noWrap","true");
+    //td_replyto.setAttribute("noWrap","true");
 	td_replyto.style.width = "100%";
-
-        var input_replyto = document.createElement('INPUT');
+	//td_replyto.colSpan = "2";
+	var input_replyto = document.createElement('INPUT');
 	input_replyto.id = "replyto_"+ID;
-        input_replyto.name = "input_replyto";
+	input_replyto.name = "input_replyto";
 	input_replyto.setAttribute("tabIndex","1");
-        input_replyto.style.width = "100%";
-	input_replyto.setAttribute("wrap","soft");
-        input_replyto.onfocus = function(){clearTimeout(parseInt(setTimeOutLayer));search_contacts('onfocus', this.id);};
+    input_replyto.style.width = "100%";
+	//input_replyto.setAttribute("wrap","soft");
+    input_replyto.onfocus = function(){clearTimeout(parseInt(setTimeOutLayer));search_contacts('onfocus', this.id);};
 	input_replyto.onblur = function(){setTimeOutLayer=setTimeout('search_contacts("lostfocus","'+this.id+'")',100);};
 
-        if (!is_ie)
+	if (!is_ie)
 	{
-        	input_replyto.rows = 2;
-	        input_replyto.onkeydown = function (e)
-	{
+        input_replyto.rows = 2;
+	    input_replyto.onkeydown = function (e)
+		{
             if ((e.keyCode) == 120) //F9
-	    {
+			{
                 emQuickSearch(input_replyto.value, 'replyto', ID);
-	    }
-	    else
-	    {
-	        if (((e.keyCode == 13) || ((e.keyCode == 38)||(e.keyCode == 40))) && (document.getElementById('tipDiv').style.visibility!='hidden'))
-	        {
-        	    e.preventDefault();
+			}
+			else
+			{
+				if (((e.keyCode == 13) || ((e.keyCode == 38)||(e.keyCode == 40))) && (document.getElementById('tipDiv').style.visibility!='hidden'))
+				{
+					e.preventDefault();
                     search_contacts(e.keyCode,this.id);
                 }
-	    }
+			}
         }
         input_replyto.onkeyup = function (e)
-
         {
-	    if ((e.keyCode != 13) && (e.keyCode != 38) && (e.keyCode != 40))
-	    {
-	        search_contacts(e.keyCode,this.id);
+			if ((e.keyCode != 13) && (e.keyCode != 38) && (e.keyCode != 40))
+			{
+				search_contacts(e.keyCode,this.id);
             }
         }
-        }
-        else
-        {
-                input_replyto.rows = 3;
-                input_replyto.onkeyup = function (e)
-	{
-	    if ((window.event.keyCode) == 120) //F9
-	    {
-                emQuickSearch(input_replyto.value, 'replyto', ID);
-            }
-            else
-	    {
+	}
+	else
+    {
+		input_replyto.rows = 3;
+        input_replyto.onkeyup = function (e)
+		{
+			if ((window.event.keyCode) == 120) //F9
+			{
+					emQuickSearch(input_replyto.value, 'replyto', ID);
+			}
+			else
+			{
                 search_contacts(window.event.keyCode,this.id);
             }
-	}
-        }
+		}
+	}
 	td_replyto.appendChild(input_replyto);
-
-        var img_search = document.createElement("IMG");
-	img_search.src = "./templates/"+template+"/images/search.gif";
-	img_search.onclick = function () {
-            emQuickSearch(document.getElementById('replyto_'+ID).value, 'replyto', ID)
-        }
-	img_search.title = get_lang('Search') + " | " + get_lang('Use F9 Key as shortcut.');
-        var span_search = document.createElement("SPAN");
-	span_search.innerHTML = get_lang('Search');
-
-        var td1_2_img_search = document.createElement("TD");
-	td1_2_img_search.setAttribute("noWrap","true");
-        var td1_2_span_search = document.createElement("TD");
-        td1_2_span_search.setAttribute("noWrap","true");
-
-	td1_2_img_search.appendChild(img_search);
-        td1_2_span_search.appendChild(span_search);
-
-        tr1_2.appendChild(td1_2);
+	tr1_2.appendChild(td1_2);
 	tr1_2.appendChild(td_replyto);
-        tr1_2.appendChild(td1_2_img_search);
-        tbody_message.appendChild(tr1_2);
+	tbody_message.appendChild(tr1_2);
 ////////////////////////////////////////////////////////////////////////////////////////////////////////
 	var tr1 = document.createElement("TR");
 	var td1 = document.createElement("TD");
-	td1.innerHTML = get_lang("To")+":";
-	td1.setAttribute("noWrap","true");
-	td1.style.width = "1%";
+	td1.innerHTML = '<button title="'+get_lang("To")+':" id="to_button_'+ID+'" name="to" class="button small adress_button">'+get_lang("To")+':</button>';
+	//td1.setAttribute("noWrap","true");
+	td1.style.width = "70px";
 
 	var td_to = document.createElement("TD");
-	td_to.setAttribute("noWrap","true");
+	//td_to.setAttribute("noWrap","true");
 	td_to.style.width = "100%";
 
@@ -3380,10 +3372,13 @@
 	input_to.setAttribute("tabIndex","1");
 	input_to.style.width = "100%";
-	input_to.setAttribute("wrap","soft");
+	input_to.style.padding = "1px";
+	input_to.className = "mail_fields";
+	//input_to.style.wrap="off";
+	//input_to.setAttribute("wrap","off");
 	input_to.onfocus = function(){clearTimeout(parseInt(setTimeOutLayer));search_contacts('onfocus', this.id);};
 	input_to.onblur = function(){setTimeOutLayer=setTimeout('search_contacts("lostfocus","'+this.id+'")',100);};
 	if (!is_ie)
 	{
-		input_to.rows = 2;
+		input_to.rows = 1;
 		input_to.onkeydown = function (e)
 		{
@@ -3411,5 +3406,5 @@
 	else
 	{
-		input_to.rows = 3;
+		input_to.rows = 1;
 		input_to.onkeyup = function (e)
 		{
@@ -3432,32 +3427,13 @@
 	forwarded_local_message.value = "0";
 	td_to.appendChild(forwarded_local_message);
-
-	if (!expresso_offline) {
-		var img_search = document.createElement("IMG");
-		img_search.src = "./templates/"+template+"/images/search.gif";
-		img_search.title = get_lang('Search') + " | " + get_lang('Use F9 Key as shortcut.');
-                img_search.onclick = function () {
-                    emQuickSearch(document.getElementById('to_'+ID).value, 'to', ID);
-                };
-	}
-	else {
-		var img_search = document.createElement("SPAN");
-	}
-
-	var span_search = document.createElement("SPAN");
-	span_search.innerHTML = get_lang('Search');
-
-	var td1_img_search = document.createElement("TD");
-	td1_img_search.setAttribute("noWrap","true");
-	var td1_span_search = document.createElement("TD");
-	td1_span_search.setAttribute("noWrap","true");
-
-	td1_img_search.appendChild(img_search);
-	td1_span_search.appendChild(span_search);
-
+	
+	//var td_to2 = document.createElement("TD");
+	//td_to2.id = "another_adress_"+ID;
+	//td_to2.style.width = "200px";
+	//td_to2.setAttribute("noWrap","true");
+	
 	tr1.appendChild(td1);
 	tr1.appendChild(td_to);
-	tr1.appendChild(td1_img_search);
-
+	//tr1.appendChild(td_to2);
 	tbody_message.appendChild(tr1);
 //////////////////////////////////////////////////////////////////////////////////////////////////////
@@ -3466,12 +3442,13 @@
 	tr2.style.display = 'none';
 	var td2 = document.createElement("TD");
-	td2.innerHTML = "Cc:";
-	td2.setAttribute("noWrap","true");
-	td2.style.width = "1%";
+	td2.innerHTML = '<button title="Cc:" id="cc_button_'+ID+'" name="cc" class="button small adress_button">Cc:</button>';
+	//td2.setAttribute("noWrap","true");
+	//td2.style.width = "1%";
 
 	var td_cc = document.createElement("TD");
-	td_cc.setAttribute("noWrap","true");
+	//td_cc.setAttribute("noWrap","true");
 	td_cc.style.width = "100%";
-
+	//td_cc.colSpan = "2";
+	
 	var input_cc = document.createElement('TEXTAREA');
 	input_cc.id = "cc_"+ID;
@@ -3479,9 +3456,12 @@
 	input_cc.setAttribute("tabIndex","1");
 	input_cc.style.width = "100%";
+	input_cc.className = "mail_fields";
 	input_cc.onfocus = function(){clearTimeout(parseInt(setTimeOutLayer));search_contacts('onfocus',this.id);};
 	input_cc.onblur = function(){setTimeOutLayer=setTimeout('search_contacts("lostfocus","'+this.id+'")',100);};
+	input_cc.rows = 1;
+	//td_cc.setAttribute("noWrap","true");
 	if (!is_ie)
 	{
-		input_cc.rows = 2;
+		//input_cc.rows = 1;
 		input_cc.onkeydown = function (e)
 		{
@@ -3509,5 +3489,5 @@
 	else if (is_ie)
 	{
-		input_cc.rows = 3;
+		//input_cc.rows = 1;
 		input_cc.onkeyup = function (e)
 		{
@@ -3522,166 +3502,162 @@
 		}
 	}
-
 	td_cc.appendChild(input_cc);
-	var img_search = document.createElement("IMG");
-	img_search.src = "./templates/"+template+"/images/search.gif";
-	img_search.onclick = function () {            
-            emQuickSearch(document.getElementById('cc_'+ID).value, 'cc', ID)
-        }
-	img_search.title = get_lang('Search') + " | " + get_lang('Use F9 Key as shortcut.');
-	var span_search = document.createElement("SPAN");
-	span_search.innerHTML = get_lang('Search');
-
-	var td2_img_search = document.createElement("TD");
-	td2_img_search.setAttribute("noWrap","true");
-	var td2_span_search = document.createElement("TD");
-	td2_span_search.setAttribute("noWrap","true");
-
-	td2_img_search.appendChild(img_search);
-	td2_span_search.appendChild(span_search);
-
 	tr2.appendChild(td2);
 	tr2.appendChild(td_cc);
-	tr2.appendChild(td2_img_search);
 	tbody_message.appendChild(tr2);
 //////////////////////////////////////////////////////////////////////////////////////////////////////
 	
-if( allow_hidden_copy ) 
- 		        { 
+	if( allow_hidden_copy ) 
+	{ 
  		 
-	var tr3 = document.createElement("TR");
-	tr3.id = "tr_cco_"+ID;
-	tr3.style.display = 'none';
-	var td3 = document.createElement("TD");
-	td3.setAttribute("noWrap","true");
-	td3.innerHTML = get_lang("CCo")+":";
-	td3.style.width = "1%";
-
-	var td_cco = document.createElement("TD");
-	td_cco.setAttribute("noWrap","true");
-	td_cco.style.width = "100%";
-
-	var input_cco = document.createElement('TEXTAREA');
-	input_cco.id = "cco_"+ID;
-	input_cco.name = "input_cco";
-	input_cco.setAttribute("tabIndex","1");
-	input_cco.style.width = "100%";
-	input_cco.onfocus = function(){clearTimeout(parseInt(setTimeOutLayer));search_contacts('onfocus',this.id);};
-	input_cco.onblur = function(){setTimeOutLayer=setTimeout('search_contacts("lostfocus","'+this.id+'")',100);};
-
-	if (!is_ie)
-	{
-		input_cco.rows = 2;
- 		                input_cco.onkeydown  = function (e) 
+		var tr3 = document.createElement("TR");
+		tr3.id = "tr_cco_"+ID;
+		tr3.style.display = 'none';
+		var td3 = document.createElement("TD");
+		//td3.setAttribute("noWrap","true");
+		td3.innerHTML = '<button title="'+get_lang("CCo")+':" id="cc_button_'+ID+'" name="cco" class="button small adress_button">'+get_lang("CCo")+':</button>';
+		//td3.style.width = "1%";
+
+		var td_cco = document.createElement("TD");
+		//td_cco.colSpan = "2";
+		//td_cco.setAttribute("noWrap","true");
+		td_cco.style.width = "100%";
+
+		var input_cco = document.createElement('TEXTAREA');
+		input_cco.id = "cco_"+ID;
+		input_cco.name = "input_cco";
+		input_cco.setAttribute("tabIndex","1");
+		input_cco.style.width = "100%";
+		input_cco.className = "mail_fields";
+		input_cco.onfocus = function(){clearTimeout(parseInt(setTimeOutLayer));search_contacts('onfocus',this.id);};
+		input_cco.onblur = function(){setTimeOutLayer=setTimeout('search_contacts("lostfocus","'+this.id+'")',100);};
+		input_cco.rows = 1;
+		if (!is_ie)
 		{
-			if ((e.keyCode) == 120) //F9
-			{
-				emQuickSearch(input_cco.value, 'cco', ID);
-			}
-			else
-			{
-				if (((e.keyCode == 13) || ((e.keyCode == 38)||(e.keyCode == 40))) && (document.getElementById('tipDiv').style.visibility!='hidden'))
+			
+			input_cco.onkeydown  = function (e) 
+			{
+				if ((e.keyCode) == 120) //F9
 				{
-					e.preventDefault();
+					emQuickSearch(input_cco.value, 'cco', ID);
+				}
+				else
+				{
+					if (((e.keyCode == 13) || ((e.keyCode == 38)||(e.keyCode == 40))) && (document.getElementById('tipDiv').style.visibility!='hidden'))
+					{
+						e.preventDefault();
+						search_contacts(e.keyCode,this.id);
+					}
+				}
+			}
+			input_cco.onkeyup = function (e)
+			{
+				if ((e.keyCode != 13) && (e.keyCode != 38) && (e.keyCode != 40))
+				{
 					search_contacts(e.keyCode,this.id);
 				}
 			}
 		}
-		input_cco.onkeyup = function (e)
+		else if (is_ie)
 		{
-			if ((e.keyCode != 13) && (e.keyCode != 38) && (e.keyCode != 40))
-			{
-				search_contacts(e.keyCode,this.id);
-			}
-		}
-	}
-	else if (is_ie)
-	{
-		input_cco.rows = 3;
-		input_cco.onkeyup = function (e)
-		{
-			if ((window.event.keyCode) == 120) //F9
-			{
-				emQuickSearch(input_cco.value, 'cco', ID);
-			}
-			else
-			{
-				search_contacts(window.event.keyCode,this.id);
-			}
-		}
-	}
-
-	td_cco.appendChild(input_cco);
-	var img_search = document.createElement("IMG");
-	img_search.src = "./templates/"+template+"/images/search.gif";
-	img_search.title = get_lang('Search') + " | " + get_lang('Use F9 Key as shortcut.');
- 		            img_search.onclick = function () {
-                                emQuickSearch(document.getElementById('cco_'+ID).value, 'cco', ID);
-                            }; 
-	var span_search = document.createElement("SPAN");
-	span_search.innerHTML = get_lang('Search');
-
-	var td3_img_search = document.createElement("TD");
-	td3_img_search.setAttribute("noWrap","true");
-	var td3_span_search = document.createElement("TD");
-	td3_span_search.setAttribute("noWrap","true");
-
-	td3_img_search.appendChild(img_search);
-	td3_span_search.appendChild(span_search);
-
-	tr3.appendChild(td3);
-	tr3.appendChild(td_cco);
-	tr3.appendChild(td3_img_search);
-	tbody_message.appendChild(tr3);
- 		        } 
+			input_cco.onkeyup = function (e)
+			{
+				if ((window.event.keyCode) == 120) //F9
+				{
+					emQuickSearch(input_cco.value, 'cco', ID);
+				}
+				else
+				{
+					search_contacts(window.event.keyCode,this.id);
+				}
+			}
+		}
+
+		td_cco.appendChild(input_cco);
+
+		tr3.appendChild(td3);
+		tr3.appendChild(td_cco);
+		tbody_message.appendChild(tr3);
+	} 
 //////////////////////////////////////////////////////////////////////////////////////////////////////
-	var tr_link = document.createElement("TR");
-	tr_link.id = "tr_link_"+ID;
-	var td1_link = document.createElement("TD");
-	var td2_link = document.createElement("TD");
-	td1_link.innerHTML = "&nbsp;";
-	var a_cc_link = document.createElement('A');
+	var a_cc_link = document.createElement('button');
 	a_cc_link.innerHTML = get_lang('Add CC');
 	a_cc_link.id = "a_cc_link_"+ID;
-	a_cc_link.setAttribute("href","javascript:void(0)");
+	a_cc_link.className = "button small another_adress";
 	a_cc_link.setAttribute("tabIndex","-1");
+	var cc_load = "";
 	a_cc_link.onclick = function () {
-		this.style.display='none';
-		document.getElementById('tr_cc_'+ID).style.display='';
-		if(document.getElementById('space_link_'+ID) !== null)
-			document.getElementById('space_link_'+ID).style.display='none';
+		var remove = function(){
+			document.getElementById('tr_cc_'+ID).style.display = 'none';
+			$("#cc_"+ID).parent().find("div").remove();
+			$("#cc_"+ID).val("");
+			$("#a_cc_link_"+ID).toggleClass("expressomail-button-icon-ative");
+		}
+		if(!($("#cc_"+ID).parent().find("div")[0])){
+			document.getElementById('tr_cc_'+ID).style.display = '';
+			document.getElementById('cc_'+ID).style.width = "100%";
+			$(this).find("span").html(get_lang('Remove CC'));
+			$("#cc_"+ID).elastic().unbind('blur');
+			$(this).toggleClass("expressomail-button-icon-ative");
+		}
+		else{
+			if($("#cc_"+ID).val() != ""){
+				if(confirm("Tem certeza que deseja remover o campo CC")){
+					remove();
+					$(this).find("span").html(get_lang('Add CC'));
+				}
+			}else{
+				remove();
+				$(this).find("span").html(get_lang('Add CC'));
+			}
+		}
 		input_cc.focus();
-		return false;};
-	td2_link.appendChild(a_cc_link);
-	var space = document.createElement("span");
+		
+		return false;
+	};
 	
 	if( allow_hidden_copy ) 
- 		        { 
- 		            space.id ="space_link_"+ID; 
-	space.innerHTML="&nbsp;|&nbsp;";
-	td2_link.appendChild(space);
- 		            var a_cco_link = document.createElement('A'); 
- 		            a_cco_link.innerHTML = get_lang('Add BCC'); 
- 		            a_cco_link.id = "a_cco_link_"+ID; 
- 		            a_cco_link.setAttribute("href","javascript:void(0)"); 
- 		            a_cco_link.setAttribute("tabIndex","-1"); 
-            a_cco_link.onclick = function () {
-		this.style.display='none';
-		document.getElementById('tr_cco_'+ID).style.display='';
-		if(document.getElementById('space_link_'+ID) !== null)
-			document.getElementById('space_link_'+ID).style.display='none';
+	{ 
+		var a_cco_link = document.createElement('button'); 
+		a_cco_link.innerHTML = get_lang('Add BCC'); 
+		a_cco_link.id = "a_cco_link_"+ID; 
+		a_cco_link.className = "button small another_adress";
+		a_cco_link.setAttribute("tabIndex","-1"); 
+		var cco_load = "";
+		a_cco_link.onclick = function () {
+			var remove = function(){
+				document.getElementById('tr_cco_'+ID).style.display = 'none';
+				$("#cco_"+ID).parent().find("div").remove();
+				$("#cco_"+ID).val("");
+				$("#a_cco_link_"+ID).toggleClass("expressomail-button-icon-ative");
+			}
+			if(!($("#cco_"+ID).parent().find("div")[0])){
+				document.getElementById('tr_cco_'+ID).style.display='';
+				document.getElementById('cco_'+ID).style.width = "100%";
+				$(this).find("span").html(get_lang('Remove CCo'));
+				$("#cco_"+ID).elastic().unbind('blur');
+				$(this).toggleClass("expressomail-button-icon-ative");
+			}
+			else{
+			if($("#cco_"+ID).val() != ""){
+				if(confirm("Tem certeza que deseja remover o campo CCO")){
+					remove();
+					$(this).find("span").html(get_lang('Add BCC'));
+				}
+			}else{
+				remove();
+				$(this).find("span").html(get_lang('Add BCC'));
+			}
+		}
 			input_cco.focus();
-			return false;}; 
- 		            td2_link.appendChild(a_cco_link); 
- 		        }
+		}; 
+		//td2_link.appendChild(a_cco_link); 
+	}
 	
-	tr_link.appendChild(td1_link);
-	tr_link.appendChild(td2_link);
-	tbody_message.appendChild(tr_link);
 //////////////////////////////////////////////////////////////////////////////////////////////////////
 	var tr4 = document.createElement("TR");
 	var td4 = document.createElement("TD");
-	//td4.setAttribute("noWrap","true");
 	td4.innerHTML = get_lang("Subject")+":";
+	//td4.style.width = "1%";
 	var td_subject = document.createElement("TD");
 	var input_subject = document.createElement('input');
@@ -3692,14 +3668,17 @@
 	input_subject.setAttribute("autocomplete","off");
 	input_subject.onkeydown = function(event){  
- 	           var k;  
- 	           if(window.event) k = window.event.keyCode;  
- 	           else k = event.keyCode;  
- 	 
- 	            if (k == 9)   
- 	            {          
- 	                 RichTextEditor.focus(ID);  
- 	                 return false;  
- 		        }   
+		var k;  
+		if(window.event){
+			k = window.event.keyCode;  
+		}else{
+			k = event.keyCode;  
+		}
+		
+		if (k == 9){          
+			RichTextEditor.focus(ID);  
+			return false;  
+		}   
 	} 
+	//td_subject.colSpan = "2";
 	td_subject.appendChild(input_subject);
 	tr4.appendChild(td4);
@@ -3715,19 +3694,23 @@
 			var input_return_digital = '<input type="checkbox" class="checkbox" name="input_return_digital" id="return_digital_'+ID+'" tabIndex="-1" '+input_return_digital_chk+' />';
 			var label_return_digital = '<label for="return_digital_'+ID+'">'+get_lang("Digitally sign message?")+'</label>';
-
+			var button_return_digital = '<button title="'+get_lang("Include digital signature")+'" class="send_option header-button button small '+(input_return_digital_chk != "" ? "expressomail-button-icon-ative" : "")+'" name="return_digital_'+ID+'" id="return_digital_options_'+ID+'">&nbsp;</button>';
 			td_content += input_return_digital + label_return_digital;
-
+			$("#content_id_"+ID).find(".new-message-menu").append(button_return_digital);
+			
 			var input_return_cripto_chk = (parseInt(preferences.use_signature_cripto)==1) ? 'checked="checked"' : '';
 			var input_return_cripto = '<input type="checkbox" class="checkbox" name="input_return_cripto" id="return_cripto_'+ID+'" tabIndex="-1" '+input_return_cripto_chk+' />';
 			var label_return_cripto = '<label for="return_cripto_'+ID+'">'+get_lang("Digitally crypt message?")+'</label>';
-
+			var button_return_cripto = '<button title="'+get_lang("Encrypted email")+'" class="send_option header-button button small '+(input_return_cripto_chk != "" ? "expressomail-button-icon-ative" : "")+'" name="return_cripto_'+ID+'" id="return_cripto_options_'+ID+'">&nbsp;</button>';
+			$("#content_id_"+ID).find(".new-message-menu").append(button_return_cripto);
 			td_content += input_return_cripto + label_return_cripto;
-                            }
-			}
+		}
+	}
 
 	var input_return_receipt_chk = (preferences.return_recipient_deafault != '0') ? 'checked="checked"' : '';
 	var input_return_receipt = '<input type="checkbox" class="checkbox" name="input_return_receipt" id="return_receipt_'+ID+'" tabIndex="-1" '+input_return_receipt_chk+' />';
 	var label_return_receipt = '<label for="return_receipt_'+ID+'">'+get_lang("Return receipt")+'</label>';
-
+	if(input_return_receipt_chk != ''){
+		$("#conf_leitura_message_options_"+ID).toggleClass("expressomail-button-icon-ative");
+	}
 	td_content += input_return_receipt + label_return_receipt;
 
@@ -3749,6 +3732,6 @@
 	}
 
-	jQuery(tr5).append('<td>&nbsp;</td><td class="message-general-options">'+td_content+'</td>');
-	
+	jQuery(tr5).append('<td>&nbsp;</td><td class="message-general-options" colspan="2">'+td_content+'</td>');
+	tr5.style.display = "none"
 	tbody_message.appendChild(tr5);
 
@@ -3757,23 +3740,25 @@
  	*/
  	function save_onchange_attachment_handler () {
-            away = false;
-            var save_link = Element("save_message_options_"+ID);
-            save_link.onclick = function onclick(event) {
-                openTab.toPreserve[ID] = true;
-                save_msg(ID);
-            };
-            save_link.className = 'message_options';
-        };
+		away = false;
+		var save_link = Element("save_message_options_"+ID);
+		save_link.onclick = function onclick(event) {
+			openTab.toPreserve[ID] = true;
+			save_msg(ID);
+		};
+		$("#save_message_options_"+ID).button({ disabled: false });
+	};
 
 	var add_files = document.createElement("A");
 	add_files.setAttribute("href", "javascript:void(0)");
 	add_files.onclick = function () {
-            var obj = addFile(ID);
-            if (preferences.auto_save_draft == 1 && obj) {
-                if ( obj.addEventListener )
-                    obj.addEventListener('click', save_onchange_attachment_handler, false);
-            }
-            return false;
+		var obj = addFile(ID);
+		if (preferences.auto_save_draft == 1 && obj) {
+			if ( obj.addEventListener ){
+				obj.addEventListener('click', save_onchange_attachment_handler, false);
+			}
+		}
+		return false;
  	};
+	
 	add_files.innerHTML =  get_lang("Attachments: add+");
 	add_files.setAttribute("tabIndex","-1");
@@ -3810,7 +3795,6 @@
 							var subject = onceOpenedMessages[folder_name][message_number].subject;
 							var text_input  = '<input type="text" name="message_attachments['+folder_name+']['+message_number+']" value="'+subject+'"/>';
-							    text_input += '<a href="javascript:void(0)" onclick="javascript:this.parentNode.parentNode.removeChild(this.parentNode);">' + get_lang("Remove")+'</a>';
-
-							    if( isOffline )
+							text_input += '<a href="javascript:void(0)" onclick="javascript:this.parentNode.parentNode.removeChild(this.parentNode);">' + get_lang("Remove")+'</a>';
+							if( isOffline )
 								text_input += '<input type="hidden" name="message_attachments_content['+folder_name+']['+message_number+']" value="'+Base64.encode( onceOpenedMessages[folder_name][message_number].eml )+'"/>';
 							jQuery(divfiles).append('<div>'+text_input+'</div>');
@@ -3831,6 +3815,7 @@
 	var td5_input = document.createElement("TD");
 	td5_input.innerHTML = "&nbsp;"
+	//td5_input.style.width = "1%";
 	td5_link.setAttribute("valign","top");
-	td5_link.setAttribute("colSpan","2");
+	//td5_link.setAttribute("colSpan","2");
 	td5_link.appendChild(add_files);
 	td5_link.appendChild(add_msgs);
@@ -3842,4 +3827,5 @@
 	var td6_link  = document.createElement("TD");
 	var td6_input = document.createElement("TD");
+	//td6_link.style.width = "1%";
 	tr6.appendChild(td6_link);
 	td6_input.appendChild(divfiles);
@@ -3848,6 +3834,6 @@
 //////////////////////////////////////////////////////////////////////////////////////////////////////
 	var tr5 = document.createElement("TR");
-	var td5 = document.createElement("TD");
-	td5.innerHTML = "&nbsp;";
+	//var td5 = document.createElement("TD");
+	//td5.innerHTML = "&nbsp;";
 	var td_body = document.createElement("TD");
 	td_body.setAttribute("colSpan","2");
@@ -3855,5 +3841,5 @@
 	div_body_position.id = "body_position_" + ID;
 	td_body.appendChild(div_body_position);
-	tr5.appendChild(td5);
+	//tr5.appendChild(td5);
 	tr5.appendChild(td_body);
 	tbody_message.appendChild(tr5);
